package com.qmth.distributed.print.business.bean.flow;

import com.qmth.distributed.print.business.enums.CustomFlowTypeEnum;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.List;

/**
 * @Description: 自定义流程dto
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2022/1/21
 */
public class CustomFlowDto extends CustomFlowCommonDto implements Serializable {

    @ApiModelProperty(value = "流程属性id")
    String flowTaskId;

    @ApiModelProperty(value = "前置流程节点id集合")
    List<CustomFlowSequenceDto> beforeFlowTaskIds;

    @ApiModelProperty(value = "后置流程节点id集合")
    List<CustomFlowSequenceDto> afterFlowTaskIds;

    @ApiModelProperty(value = "流程步骤")
    Integer setup;

    public CustomFlowDto() {

    }

    public CustomFlowDto(String id, CustomFlowTypeEnum type, String content, String flowTaskId) {
        this.id = id;
        this.type = type;
        this.content = content;
        this.flowTaskId = flowTaskId;
    }

    public Integer getSetup() {
        return setup;
    }

    public void setSetup(Integer setup) {
        this.setup = setup;
    }

    public List<CustomFlowSequenceDto> getBeforeFlowTaskIds() {
        return beforeFlowTaskIds;
    }

    public void setBeforeFlowTaskIds(List<CustomFlowSequenceDto> beforeFlowTaskIds) {
        this.beforeFlowTaskIds = beforeFlowTaskIds;
    }

    public List<CustomFlowSequenceDto> getAfterFlowTaskIds() {
        return afterFlowTaskIds;
    }

    public void setAfterFlowTaskIds(List<CustomFlowSequenceDto> afterFlowTaskIds) {
        this.afterFlowTaskIds = afterFlowTaskIds;
    }

    public String getFlowTaskId() {
        return flowTaskId;
    }

    public void setFlowTaskId(String flowTaskId) {
        this.flowTaskId = flowTaskId;
    }
}
